TestConnectionCustomizer (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.test

## Class TestConnectionCustomizer

- java.lang.Object
- - com.mchange.v2.c3p0.AbstractConnectionCustomizer
  - - com.mchange.v2.c3p0.test.TestConnectionCustomizer

- All Implemented Interfaces:
    ConnectionCustomizer

      public class TestConnectionCustomizer
      extends AbstractConnectionCustomizer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestConnectionCustomizer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAcquire(java.sql.Connection c, java.lang.String pdsIdt)` Called immediately after a Connection is acquired from the underlying database for incorporation into the pool.
    `void` | `onCheckIn(java.sql.Connection c, java.lang.String pdsIdt)` Called immediately after a Connection is checked in, prior to reincorporation into the pool.
    `void` | `onCheckOut(java.sql.Connection c, java.lang.String pdsIdt)` Called immediately before a Connection is made available to a client upon checkout.
    `void` | `onDestroy(java.sql.Connection c, java.lang.String pdsIdt)` Called immediately before a Connection is destroyed after being removed from the pool.

    - ### Methods inherited from class com.mchange.v2.c3p0.AbstractConnectionCustomizer

      `extensionsForToken`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestConnectionCustomizer

          public TestConnectionCustomizer()

  - ### Method Detail

    - #### onAcquire

          public void onAcquire(java.sql.Connection c,
                                java.lang.String pdsIdt)

      Description copied from interface: `ConnectionCustomizer`

      Called immediately after a Connection is acquired from the underlying database for incorporation into the pool.

      This method is only called once per Connection. If standard JDBC Connection properties are modified — specifically catalog, holdability, transactionIsolation, readOnly, and typeMap — those modifications will override defaults throughout the Connection's tenure in the pool.

      Specified by:
        `onAcquire` in interface `ConnectionCustomizer`
      Overrides:
        `onAcquire` in class `AbstractConnectionCustomizer`

    - #### onDestroy

          public void onDestroy(java.sql.Connection c,
                                java.lang.String pdsIdt)

      Description copied from interface: `ConnectionCustomizer`
      Called immediately before a Connection is destroyed after being removed from the pool.
      Specified by:
        `onDestroy` in interface `ConnectionCustomizer`
      Overrides:
        `onDestroy` in class `AbstractConnectionCustomizer`

    - #### onCheckOut

          public void onCheckOut(java.sql.Connection c,
                                 java.lang.String pdsIdt)

      Description copied from interface: `ConnectionCustomizer`
      Called immediately before a Connection is made available to a client upon checkout.
      Specified by:
        `onCheckOut` in interface `ConnectionCustomizer`
      Overrides:
        `onCheckOut` in class `AbstractConnectionCustomizer`

    - #### onCheckIn

          public void onCheckIn(java.sql.Connection c,
                                java.lang.String pdsIdt)

      Description copied from interface: `ConnectionCustomizer`
      Called immediately after a Connection is checked in, prior to reincorporation into the pool.
      Specified by:
        `onCheckIn` in interface `ConnectionCustomizer`
      Overrides:
        `onCheckIn` in class `AbstractConnectionCustomizer`